> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/partner/reference/uploadfile-1.md).

# Upload a file

This endpoint allows you to upload logos for user profiles and teams.

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/partner/team-user-api/user-1/uploadfile-1) in the new Partner APIs space of our documentation.
{% endhint %}

***

### description: "This endpoint allows you to upload logos for user profiles and teams."

## Upload a file

## Upload a file

> This endpoint allows you to upload logos for user profiles and teams.

```json
{"openapi":"3.0.0","info":{"title":"File Upload API","version":"1.0.0"},"servers":[{"description":"Auth server","url":"https://auth.<env>.citrusad.com/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"fileupload_body":{"properties":{"fileUpload":{"description":"The file to upload, which must be in jpeg, jpg, or png format.","format":"binary","type":"string"}},"required":["fileUpload"],"type":"object"},"v3UploadFileResponse":{"properties":{"fileId":{"description":"The unique identifier of the uploaded file.","type":"string"},"fileUrl":{"description":"The URL to access the file uploaded.","type":"string"}},"type":"object"},"rpcStatus":{"properties":{"code":{"type":"integer"},"details":{"items":{"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/file-upload":{"post":{"description":"This endpoint allows you to upload logos for user profiles and teams.","operationId":"uploadFile","parameters":[{"description":"Specifies the unique identifier of the team to which the user belongs to.","in":"query","name":"teamId","required":true,"schema":{"type":"string"}},{"description":"The unique identifier for a retailer-managed team. As a retailer, you can upload logos for user profiles and teams for the supplier team by specifying the managerTeamId. Ensure that API requests are authenticated with the retailer's bearer token.","in":"query","name":"managerTeamId","schema":{"type":"string"}},{"description":"Specifies the type of file to be uploaded. The file must be in one of the following formats: jpeg, jpg, or png. Valid upload file types include:\n- **FILE_TYPE_USER_LOGO**: Logo for user profile.\n- **FILE_TYPE_TEAM_LOGO**: Logo for team profile.\n","in":"query","name":"fileType","required":true,"schema":{"enum":["FILE_TYPE_USER_LOGO","FILE_TYPE_TEAM_LOGO"],"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/fileupload_body"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v3UploadFileResponse"}}},"description":"The logo file has been uploaded successfully."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"There was a problem with input."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Invalid token error."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"Invalid token error."},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}},"description":"An unexpected error response."}},"summary":"Upload a file"}}}}
```
